package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_customer")
public class Customer implements Serializable {

    private static final long serialVersionUID = 1L;

    private String customerId;

    private String customerName;

    @TableField("NAME")
    private String name;

    private String phone;

    private String idNum;

    private LocalDateTime createDate;

    private String remark;

    @TableField("STATUS")
    private Integer status;

    private String openid;

    private String uuid;

    private String avatar;

    /**
     * 0 未注册 1 已注册
     */
    private Integer hasReg;

    /**
     * 报名的活动
     */
    @TableField(exist = false)
    private List<Activity> Activity;

    /**
     * 预约记录
     */
    @TableField(exist = false)
    private List<Appointment> Appointment;

    /**
     * 收藏的楼盘
     */
    @TableField(exist = false)
    private List<Building> CollectionBuilding;

}
